<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<!--

  Licensed Materials - Property of IBM
  (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
  
  Note to U.S. Government Users Restricted Rights:
  Use, duplication or disclosure restricted by GSA ADP Schedule
  Contract with IBM Corp.
  
-->

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<meta http-equiv="X-UA-Compatible" content="IE=7" />
<jsp:useBean id="installResults" class="com.ibm.team.repository.provision.internal.InstallBean" scope="request" />
<%
	String contextPath = (request.getContextPath().equals("")) ? "/" : request.getContextPath();
%>
<title>Jazz Installer</title>
<link type="text/css" rel="stylesheet" href="<%=contextPath%>/installer/install.css"/>
<link rel="shortcut icon" href="<%=contextPath%>/installer/jazz.ico"></link>
</head>

<body>
	<h1>Jazz Installer</h1>
	<h2>Select a Jazz Server Component Update Site to Install</h2>
	<form name="uploadupdatesite" method="POST" enctype="multipart/form-data" action="<%=contextPath%>/install">
		<table>
			<tr><td>Feature Id : </td><td><input type="input" name="featureid"></td></tr>
			<tr><td>Update Site : </td><td><input type="file" name="updatesite"></td></tr>
			<tr><td><input type="submit" value="Install"></td><td>&nbsp</td></tr>
		</table>
	</form>
	<h2>Install Log</h2>
	<div class="log">
		<%if (installResults.isFailed()) {%>
			<%=installResults.getStackTrace()%>
		<%} else {%>
			<%=installResults.getLog().replace("\n", "<br/>")%>
		<%}%>	
	</div>
</body>
</html>
